Holger's Java API

## com.antelmann.util.gui
Enum JDateRangeChooser.Interval

    java.lang.Object
      java.lang.Enum<JDateRangeChooser.Interval>
          com.antelmann.util.gui.JDateRangeChooser.Interval

All Implemented Interfaces:
  Serializable, Comparable<JDateRangeChooser.Interval>

Enclosing class:
  JDateRangeChooser

    public static enum JDateRangeChooser.Interval

extends Enum<JDateRangeChooser.Interval>

Enum Constant Summary
`CUSTOM`
`DAY`
`MONTH`
`QUARTER`
`WEEK`
`YEAR`

Method Summary
`TimeInterval` `getDateInterval()` returns null in the case of CUSTOM
`String` `toString()`
`static JDateRangeChooser.Interval` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JDateRangeChooser.Interval[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DAY

    public static final JDateRangeChooser.Interval DAY

### WEEK

    public static final JDateRangeChooser.Interval WEEK

### MONTH

    public static final JDateRangeChooser.Interval MONTH

### QUARTER

    public static final JDateRangeChooser.Interval QUARTER

### YEAR

    public static final JDateRangeChooser.Interval YEAR

### CUSTOM

    public static final JDateRangeChooser.Interval CUSTOM

Method Detail

### values

    public static JDateRangeChooser.Interval[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JDateRangeChooser.Interval c : JDateRangeChooser.Interval.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JDateRangeChooser.Interval valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<JDateRangeChooser.Interval>`

### getDateInterval

    public TimeInterval getDateInterval()

  returns null in the case of CUSTOM

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads